class ComponentFactory.Krypton.Toolkit.ButtonSpecAny
   inherits ComponentFactory.Krypton.Toolkit.ButtonSpec
   implements System.ComponentModel.IComponent, System.IDisposable, ComponentFactory.Krypton.Toolkit.IButtonSpecValues, System.ICloneable:

   def public override property IsDefault as logical
      get.

   def public property Visible as logical
      get.
      set.

   def public property Enabled as ComponentFactory.Krypton.Toolkit.ButtonEnabled
      get.
      set.

   def public property Checked as ComponentFactory.Krypton.Toolkit.ButtonCheckState
      get.
      set.

   def public override property KryptonCommand as ComponentFactory.Krypton.Toolkit.KryptonCommand
      get.
      set.

   def public property Type as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle
      get.
      set.

   constructor public ButtonSpecAny():
   end constructor.

   method public override System.Object Clone():
   end method.

   method public final void ResetVisible():
   end method.

   method public final void ResetEnabled():
   end method.

   method public final void ResetChecked():
   end method.

   method public final void ResetType():
   end method.

   method public final void CopyFrom(input source as ComponentFactory.Krypton.Toolkit.ButtonSpecAny):
   end method.

   method public override logical GetVisible(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.ButtonEnabled GetEnabled(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public override ComponentFactory.Krypton.Toolkit.ButtonCheckState GetChecked(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method protected override void OnButtonSpecPropertyChanged(input propertyName as character):
   end method.

   method protected override void OnCommandPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected override void OnClick(input e as System.EventArgs):
   end method.

end class.
