class ComponentFactory.Krypton.Toolkit.PaletteSeparatorPadding
   inherits ComponentFactory.Krypton.Toolkit.PaletteDouble
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public property Padding as System.Windows.Forms.Padding
      get.
      set.

   constructor public PaletteSeparatorPadding(input inheritDouble as ComponentFactory.Krypton.Toolkit.IPaletteDouble, input inheritMetric as ComponentFactory.Krypton.Toolkit.IPaletteMetric, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

   method public final void ResetPadding():
   end method.

   method public final integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public final System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
