class ComponentFactory.Krypton.Toolkit.PaletteTripleJustImage
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteTriple:

   def public override property IsDefault as logical
      get.

   def public property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public property Border as ComponentFactory.Krypton.Toolkit.PaletteBorder
      get.

   def public property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   def public property Content as ComponentFactory.Krypton.Toolkit.PaletteContentJustImage
      get.

   def public property PaletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent
      get.

   constructor public PaletteTripleJustImage(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteTriple):
   end constructor.

   constructor public PaletteTripleJustImage(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteTriple, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteTriple):
   end method.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method protected final void OnNeedPaint(input sender as System.Object, input needLayout as logical):
   end method.

end class.
