class Infragistics.UltraChart.Resources.Appearance.CandleChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property PositiveRangeColor as System.Drawing.Color
      get.
      set.

   def public property NegativeRangeColor as System.Drawing.Color
      get.
      set.

   def public property WickColor as System.Drawing.Color
      get.
      set.

   def public property VolumeColor as System.Drawing.Color
      get.
      set.

   def public property WickThickness as integer
      get.
      set.

   def public property VolumeVisible as logical
      get.
      set.

   def public property HighLowVisible as logical
      get.
      set.

   def public property OpenCloseVisible as logical
      get.
      set.

   def public property SkipN as integer
      get.
      set.

   def public property WicksInForeground as logical
      get.
      set.

   constructor public CandleChartAppearance():
   end constructor.

   constructor public CandleChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializePositiveRangeColor():
   end method.

   method public final void ResetPositiveRangeColor():
   end method.

   method protected final logical ShouldSerializeNegativeRangeColor():
   end method.

   method public final void ResetNegativeRangeColor():
   end method.

   method protected final logical ShouldSerializeWickColor():
   end method.

   method public final void ResetWickColor():
   end method.

   method protected final logical ShouldSerializeVolumeColor():
   end method.

   method public final void ResetVolumeColor():
   end method.

   method protected final logical ShouldSerializeWickThickness():
   end method.

   method public final void ResetWickThickness():
   end method.

   method protected final logical ShouldSerializeVolumeVisible():
   end method.

   method public final void ResetVolumeVisible():
   end method.

   method protected final logical ShouldSerializeHighLowVisible():
   end method.

   method public final void ResetHighLowVisible():
   end method.

   method protected final logical ShouldSerializeOpenCloseVisible():
   end method.

   method public final void ResetOpenCloseVisible():
   end method.

   method protected final logical ShouldSerializeSkipN():
   end method.

   method public final void ResetSkipN():
   end method.

   method protected logical ShouldSerializeWicksInForeground():
   end method.

   method public void ResetWicksInForeground():
   end method.

   method public override logical ShouldSerialize():
   end method.

end class.
