class Infragistics.UltraChart.Resources.Appearance.GanttChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Columns as Infragistics.UltraChart.Resources.Appearance.GanttColumnAppearance
      get.

   def public property ItemSpacing as integer
      get.
      set.

   def public property SeriesSpacing as integer
      get.
      set.

   def public property ShowCompletePercentages as logical
      get.
      set.

   def public property CompletePercentagesPE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property EmptyPercentagesPE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property ShowLinks as logical
      get.
      set.

   def public property LinkLineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle
      get.
      set.

   def public property LinkLineColor as System.Drawing.Color
      get.
      set.

   def public property LinkLineWidth as integer
      get.
      set.

   def public property ShowOwners as logical
      get.
      set.

   def public property OwnersLabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.
      set.

   constructor public GanttChartAppearance():
   end constructor.

   constructor public GanttChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeColumns():
   end method.

   method public final void ResetColumns():
   end method.

   method protected final logical ShouldSerializeItemSpacing():
   end method.

   method public final void ResetItemSpacing():
   end method.

   method protected final logical ShouldSerializeSeriesSpacing():
   end method.

   method public final void ResetSeriesSpacing():
   end method.

   method protected final logical ShouldSerializeShowCompletePercentages():
   end method.

   method public final void ResetShowCompletePercentages():
   end method.

   method protected final logical ShouldSerializeCompletePercentagesPE():
   end method.

   method public final void ResetCompletePercentagesPE():
   end method.

   method protected final logical ShouldSerializeEmptyPercentagesPE():
   end method.

   method public final void ResetEmptyPercentagesPE():
   end method.

   method protected final logical ShouldSerializeShowLinks():
   end method.

   method public final void ResetShowLinks():
   end method.

   method protected final logical ShouldSerializeLinkLineStyle():
   end method.

   method public final void ResetLinkLineStyle():
   end method.

   method protected final logical ShouldSerializeLinkLineColor():
   end method.

   method public final void ResetLinkLineColor():
   end method.

   method protected final logical ShouldSerializeLinkLineWidth():
   end method.

   method public final void ResetLinkLineWidth():
   end method.

   method protected final logical ShouldSerializeShowOwners():
   end method.

   method public final void ResetShowOwners():
   end method.

   method protected final logical ShouldSerializeOwnersLabelStyle():
   end method.

   method public final void ResetOwnersLabelStyle():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public override void SetComponent(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

end class.
