class Progress.Open4GL.DynamicAPI.DataTableBase
   inherits System.Data.DataTable
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable, Progress.Open4GL.DynamicAPI.IDataTable:

   constructor public DataTableBase():
   end constructor.

   method public void close():
   end method.

   method public integer findColumn(input columnName as character):
   end method.

   method public decimal getDecimal(input columnIndex as integer):
   end method.

   method public decimal getDecimal(input columnIndex as integer, input scale as integer):
   end method.

   method public decimal getDecimal(input columnName as character):
   end method.

   method public decimal getDecimal(input columnName as character, input scale as integer):
   end method.

   method public Progress.Common.Extra.Blob getBlob(input i as integer):
   end method.

   method public Progress.Common.Extra.Blob getBlob(input colName as character):
   end method.

   method public logical getBoolean(input columnIndex as integer):
   end method.

   method public logical getBoolean(input columnName as character):
   end method.

   method public integer getByte(input columnIndex as integer):
   end method.

   method public integer getByte(input columnName as character):
   end method.

   method public System.Byte extent getBytes(input columnIndex as integer):
   end method.

   method public System.Byte extent getBytes(input columnName as character):
   end method.

   method public Progress.Common.Extra.Clob getClob(input i as integer):
   end method.

   method public Progress.Common.Extra.Clob getClob(input colName as character):
   end method.

   method public datetime getDate(input columnIndex as integer):
   end method.

   method public datetime getDate(input columnIndex as integer, input cal as System.Globalization.Calendar):
   end method.

   method public datetime getDate(input columnName as character):
   end method.

   method public datetime getDate(input columnName as character, input cal as System.Globalization.Calendar):
   end method.

   method public decimal getDouble(input columnIndex as integer):
   end method.

   method public decimal getDouble(input columnName as character):
   end method.

   method public decimal getFloat(input columnIndex as integer):
   end method.

   method public decimal getFloat(input columnName as character):
   end method.

   method public integer getInt(input columnIndex as integer):
   end method.

   method public integer getInt(input columnName as character):
   end method.

   method public int64 getLong(input columnIndex as integer):
   end method.

   method public int64 getLong(input columnName as character):
   end method.

   method public Progress.Open4GL.DynamicAPI.DataTableMetaData getMetaData():
   end method.

   method public System.Object getObject(input columnIndex as integer):
   end method.

   method public System.Object getObject(input i as integer, input map as Progress.Java.Util.Map):
   end method.

   method public System.Object getObject(input columnName as character):
   end method.

   method public System.Object getObject(input colName as character, input map as Progress.Java.Util.Map):
   end method.

   method public integer getShort(input columnIndex as integer):
   end method.

   method public integer getShort(input columnName as character):
   end method.

   method public character getString(input columnIndex as integer):
   end method.

   method public character getString(input columnName as character):
   end method.

   method public override integer getType():
   end method.

   method public System.Object getValue(input columnIndex as integer):
   end method.

   method public void insertRow():
   end method.

   method public void moveToInsertRow():
   end method.

   method public logical next():
   end method.

   method public logical previous():
   end method.

   method public void refreshRow():
   end method.

   method public void updateArray(input columnIndex as integer, input x as System.Array):
   end method.

   method public void updateArray(input columnName as character, input x as System.Array):
   end method.

   method public void updateAsciiStream(input columnIndex as integer, input x as System.IO.Stream, input length as integer):
   end method.

   method public void updateAsciiStream(input columnName as character, input x as System.IO.Stream, input length as integer):
   end method.

   method public void updateDecimal(input columnIndex as integer, input x as decimal):
   end method.

   method public void updateDecimal(input columnName as character, input x as decimal):
   end method.

   method public void updateBinaryStream(input columnIndex as integer, input x as System.IO.Stream, input length as integer):
   end method.

   method public void updateBinaryStream(input columnName as character, input x as System.IO.Stream, input length as integer):
   end method.

   method public void updateBlob(input columnIndex as integer, input x as Progress.Common.Extra.Blob):
   end method.

   method public void updateBlob(input columnName as character, input x as Progress.Common.Extra.Blob):
   end method.

   method public void updateBoolean(input columnIndex as integer, input x as logical):
   end method.

   method public void updateBoolean(input columnName as character, input x as logical):
   end method.

   method public void updateByte(input columnIndex as integer, input x as integer):
   end method.

   method public void updateByte(input columnName as character, input x as integer):
   end method.

   method public void updateCharacterStream(input columnIndex as integer, input x as System.IO.StreamReader, input length as integer):
   end method.

   method public void updateCharacterStream(input columnName as character, input reader as System.IO.StreamReader, input length as integer):
   end method.

   method public void updateClob(input columnIndex as integer, input x as Progress.Common.Extra.Clob):
   end method.

   method public void updateClob(input columnName as character, input x as Progress.Common.Extra.Clob):
   end method.

   method public void updateDate(input columnIndex as integer, input x as datetime):
   end method.

   method public void updateDate(input columnName as character, input x as datetime):
   end method.

   method public void updateDouble(input columnIndex as integer, input x as decimal):
   end method.

   method public void updateDouble(input columnName as character, input x as decimal):
   end method.

   method public void updateFloat(input columnIndex as integer, input x as decimal):
   end method.

   method public void updateFloat(input columnName as character, input x as decimal):
   end method.

   method public void updateInt(input columnIndex as integer, input x as integer):
   end method.

   method public void updateInt(input columnName as character, input x as integer):
   end method.

   method public void updateLong(input columnIndex as integer, input x as int64):
   end method.

   method public void updateLong(input columnName as character, input x as int64):
   end method.

   method public void updateNull(input columnIndex as integer):
   end method.

   method public void updateNull(input columnName as character):
   end method.

   method public void updateObject(input columnIndex as integer, input x as System.Object):
   end method.

   method public void updateObject(input columnIndex as integer, input x as System.Object, input scale as integer):
   end method.

   method public void updateObject(input columnName as character, input x as System.Object):
   end method.

   method public void updateObject(input columnName as character, input x as System.Object, input scale as integer):
   end method.

   method public void updateRef(input columnIndex as integer, input x as Progress.Common.Extra.Ref):
   end method.

   method public void updateRef(input columnName as character, input x as Progress.Common.Extra.Ref):
   end method.

   method public void updateRow():
   end method.

   method public void updateShort(input columnIndex as integer, input x as integer):
   end method.

   method public void updateShort(input columnName as character, input x as integer):
   end method.

   method public void updateString(input columnIndex as integer, input x as character):
   end method.

   method public void updateString(input columnName as character, input x as character):
   end method.

   method public logical wasNull():
   end method.

   method public integer getColumnCount():
   end method.

   method public logical isCaseSensitive(input column as integer):
   end method.

   method public logical isSearchable(input column as integer):
   end method.

   method public logical isCurrency(input column as integer):
   end method.

   method public character getColumnName(input column as integer):
   end method.

   method public character getTableName(input column as integer):
   end method.

   method public integer getColumnType(input column as integer):
   end method.

   method public character getColumnTypeName(input column as integer):
   end method.

end class.
