class System.Drawing.Region
   inherits System.MarshalByRefObject
   implements System.IDisposable
   final:

   constructor public Region():
   end constructor.

   constructor public Region(input rect as System.Drawing.RectangleF):
   end constructor.

   constructor public Region(input rect as System.Drawing.Rectangle):
   end constructor.

   constructor public Region(input path as System.Drawing.Drawing2D.GraphicsPath):
   end constructor.

   constructor public Region(input rgnData as System.Drawing.Drawing2D.RegionData):
   end constructor.

   method public final static System.Drawing.Region FromHrgn(input hrgn as System.IntPtr):
   end method.

   method public final override System.Drawing.Region Clone():
   end method.

   method public final void Dispose():
   end method.

   method protected final override void Finalize():
   end method.

   method public final void MakeInfinite():
   end method.

   method public final void MakeEmpty():
   end method.

   method public final void Intersect(input rect as System.Drawing.RectangleF):
   end method.

   method public final void Intersect(input rect as System.Drawing.Rectangle):
   end method.

   method public final void Intersect(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void Intersect(input region as System.Drawing.Region):
   end method.

   method public final void ReleaseHrgn(input regionHandle as System.IntPtr):
   end method.

   method public final void Union(input rect as System.Drawing.RectangleF):
   end method.

   method public final void Union(input rect as System.Drawing.Rectangle):
   end method.

   method public final void Union(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void Union(input region as System.Drawing.Region):
   end method.

   method public final void Xor(input rect as System.Drawing.RectangleF):
   end method.

   method public final void Xor(input rect as System.Drawing.Rectangle):
   end method.

   method public final void Xor(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void Xor(input region as System.Drawing.Region):
   end method.

   method public final void Exclude(input rect as System.Drawing.RectangleF):
   end method.

   method public final void Exclude(input rect as System.Drawing.Rectangle):
   end method.

   method public final void Exclude(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void Exclude(input region as System.Drawing.Region):
   end method.

   method public final void Complement(input rect as System.Drawing.RectangleF):
   end method.

   method public final void Complement(input rect as System.Drawing.Rectangle):
   end method.

   method public final void Complement(input path as System.Drawing.Drawing2D.GraphicsPath):
   end method.

   method public final void Complement(input region as System.Drawing.Region):
   end method.

   method public final void Translate(input dx as decimal, input dy as decimal):
   end method.

   method public final void Translate(input dx as integer, input dy as integer):
   end method.

   method public final void Transform(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final System.Drawing.RectangleF GetBounds(input g as System.Drawing.Graphics):
   end method.

   method public final System.IntPtr GetHrgn(input g as System.Drawing.Graphics):
   end method.

   method public final logical IsEmpty(input g as System.Drawing.Graphics):
   end method.

   method public final logical IsInfinite(input g as System.Drawing.Graphics):
   end method.

   method public final logical Equals(input region as System.Drawing.Region, input g as System.Drawing.Graphics):
   end method.

   method public final System.Drawing.Drawing2D.RegionData GetRegionData():
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal):
   end method.

   method public final logical IsVisible(input point as System.Drawing.PointF):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input point as System.Drawing.PointF, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.RectangleF):
   end method.

   method public final logical IsVisible(input x as decimal, input y as decimal, input width as decimal, input height as decimal, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.RectangleF, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input point as System.Drawing.Point):
   end method.

   method public final logical IsVisible(input point as System.Drawing.Point, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer, input width as integer, input height as integer):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.Rectangle):
   end method.

   method public final logical IsVisible(input x as integer, input y as integer, input width as integer, input height as integer, input g as System.Drawing.Graphics):
   end method.

   method public final logical IsVisible(input rect as System.Drawing.Rectangle, input g as System.Drawing.Graphics):
   end method.

   method public final System.Drawing.RectangleF extent GetRegionScans(input matrix as System.Drawing.Drawing2D.Matrix):
   end method.

end class.
