class System.Security.AccessControl.RawSecurityDescriptor
   inherits System.Security.AccessControl.GenericSecurityDescriptor
   final:

   def public override property ControlFlags as System.Security.AccessControl.ControlFlags
      get.

   def public override property Owner as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public override property Group as System.Security.Principal.SecurityIdentifier
      get.
      set.

   def public property SystemAcl as System.Security.AccessControl.RawAcl
      get.
      set.

   def public property DiscretionaryAcl as System.Security.AccessControl.RawAcl
      get.
      set.

   def public property ResourceManagerControl as integer
      get.
      set.

   constructor public RawSecurityDescriptor(input flags as System.Security.AccessControl.ControlFlags, input owner as System.Security.Principal.SecurityIdentifier, input group as System.Security.Principal.SecurityIdentifier, input systemAcl as System.Security.AccessControl.RawAcl, input discretionaryAcl as System.Security.AccessControl.RawAcl):
   end constructor.

   constructor public RawSecurityDescriptor(input sddlForm as character):
   end constructor.

   constructor public RawSecurityDescriptor(input binaryForm as System.Byte extent, input offset as integer):
   end constructor.

   method public final void SetFlags(input flags as System.Security.AccessControl.ControlFlags):
   end method.

end class.
