class System.ServiceModel.Channels.Message
   inherits System.Object
   implements System.IDisposable
   abstract:

   def public abstract property Headers as System.ServiceModel.Channels.MessageHeaders
      get.

   def protected property IsDisposed as logical
      get.

   def public property IsFault as logical
      get.

   def public property IsEmpty as logical
      get.

   def public abstract property Properties as System.ServiceModel.Channels.MessageProperties
      get.

   def public abstract property Version as System.ServiceModel.Channels.MessageVersion
      get.

   def public property State as System.ServiceModel.Channels.MessageState
      get.

   constructor protected Message():
   end constructor.

   method public final void Close():
   end method.

   method public final System.ServiceModel.Channels.MessageBuffer CreateBufferedCopy(input maxBufferSize as integer):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character, input body as System.Object):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character, input body as System.Object, input serializer as System.Runtime.Serialization.XmlObjectSerializer):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character, input body as System.Xml.XmlReader):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character, input body as System.Xml.XmlDictionaryReader):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character, input body as System.ServiceModel.Channels.BodyWriter):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input action as character):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input envelopeReader as System.Xml.XmlReader, input maxSizeOfHeaders as integer, input version as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input envelopeReader as System.Xml.XmlDictionaryReader, input maxSizeOfHeaders as integer, input version as System.ServiceModel.Channels.MessageVersion):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input faultCode as System.ServiceModel.FaultCode, input reason as character, input action as character):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input faultCode as System.ServiceModel.FaultCode, input reason as character, input detail as System.Object, input action as character):
   end method.

   method public final static System.ServiceModel.Channels.Message CreateMessage(input version as System.ServiceModel.Channels.MessageVersion, input fault as System.ServiceModel.Channels.MessageFault, input action as character):
   end method.

   method public final System.Xml.XmlDictionaryReader GetReaderAtBodyContents():
   end method.

   method protected void OnBodyToString(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method protected System.ServiceModel.Channels.MessageBuffer OnCreateBufferedCopy(input maxBufferSize as integer):
   end method.

   method protected void OnClose():
   end method.

   method protected System.Xml.XmlDictionaryReader OnGetReaderAtBodyContents():
   end method.

   method protected void OnWriteStartBody(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteBodyContents(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final System.IAsyncResult BeginWriteBodyContents(input writer as System.Xml.XmlDictionaryWriter, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public final void EndWriteBodyContents(input result as System.IAsyncResult):
   end method.

   method protected abstract void OnWriteBodyContents(input writer as System.Xml.XmlDictionaryWriter).

   method protected System.IAsyncResult OnBeginWriteBodyContents(input writer as System.Xml.XmlDictionaryWriter, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method protected void OnEndWriteBodyContents(input result as System.IAsyncResult):
   end method.

   method public final void WriteStartEnvelope(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method protected void OnWriteStartEnvelope(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method protected void OnWriteStartHeaders(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public override character ToString():
   end method.

   method public final character GetBodyAttribute(input localName as character, input ns as character):
   end method.

   method protected character OnGetBodyAttribute(input localName as character, input ns as character):
   end method.

   method public final void WriteBody(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteBody(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteStartBody(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteStartBody(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final void WriteMessage(input writer as System.Xml.XmlWriter):
   end method.

   method public final void WriteMessage(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method public final System.IAsyncResult BeginWriteMessage(input writer as System.Xml.XmlDictionaryWriter, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public final void EndWriteMessage(input result as System.IAsyncResult):
   end method.

   method protected void OnWriteMessage(input writer as System.Xml.XmlDictionaryWriter):
   end method.

   method protected System.IAsyncResult OnBeginWriteMessage(input writer as System.Xml.XmlDictionaryWriter, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method protected void OnEndWriteMessage(input result as System.IAsyncResult):
   end method.

end class.
