class System.ServiceModel.FaultCode
   inherits System.Object:

   def public property IsPredefinedFault as logical
      get.

   def public property IsSenderFault as logical
      get.

   def public property IsReceiverFault as logical
      get.

   def public property Namespace as character
      get.

   def public property Name as character
      get.

   def public property SubCode as System.ServiceModel.FaultCode
      get.

   constructor public FaultCode(input name as character):
   end constructor.

   constructor public FaultCode(input name as character, input subCode as System.ServiceModel.FaultCode):
   end constructor.

   constructor public FaultCode(input name as character, input ns as character):
   end constructor.

   constructor public FaultCode(input name as character, input ns as character, input subCode as System.ServiceModel.FaultCode):
   end constructor.

   method public final static System.ServiceModel.FaultCode CreateSenderFaultCode(input subCode as System.ServiceModel.FaultCode):
   end method.

   method public final static System.ServiceModel.FaultCode CreateSenderFaultCode(input name as character, input ns as character):
   end method.

   method public final static System.ServiceModel.FaultCode CreateReceiverFaultCode(input subCode as System.ServiceModel.FaultCode):
   end method.

   method public final static System.ServiceModel.FaultCode CreateReceiverFaultCode(input name as character, input ns as character):
   end method.

end class.
