class System.Text.StringBuilder
   inherits System.Object
   implements System.Runtime.Serialization.ISerializable
   final:

   def public property Capacity as integer
      get.
      set.

   def public property MaxCapacity as integer
      get.

   def public property Length as integer
      get.
      set.

   def public property Chars as character
      get.
      set.

   constructor public StringBuilder():
   end constructor.

   constructor public StringBuilder(input capacity as integer):
   end constructor.

   constructor public StringBuilder(input value as character):
   end constructor.

   constructor public StringBuilder(input value as character, input capacity as integer):
   end constructor.

   constructor public StringBuilder(input value as character, input startIndex as integer, input length as integer, input capacity as integer):
   end constructor.

   constructor public StringBuilder(input capacity as integer, input maxCapacity as integer):
   end constructor.

   method public final integer EnsureCapacity(input capacity as integer):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input startIndex as integer, input length as integer):
   end method.

   method public final System.Text.StringBuilder Clear():
   end method.

   method public final System.Text.StringBuilder Append(input value as character, input repeatCount as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as System.Char extent, input startIndex as integer, input charCount as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as character):
   end method.

   method public final System.Text.StringBuilder Append(input value as character, input startIndex as integer, input count as integer):
   end method.

   method public final System.Text.StringBuilder AppendLine():
   end method.

   method public final System.Text.StringBuilder AppendLine(input value as character):
   end method.

   method public final void CopyTo(input sourceIndex as integer, input destination as System.Char extent, input destinationIndex as integer, input count as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as character, input count as integer):
   end method.

   method public final System.Text.StringBuilder Remove(input startIndex as integer, input length as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as logical):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as character):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as int64):
   end method.

   method public final System.Text.StringBuilder Append(input value as decimal):
   end method.

   method public final System.Text.StringBuilder Append(input value as decimal):
   end method.

   method public final System.Text.StringBuilder Append(input value as decimal):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as integer):
   end method.

   method public final System.Text.StringBuilder Append(input value as int64):
   end method.

   method public final System.Text.StringBuilder Append(input value as System.Object):
   end method.

   method public final System.Text.StringBuilder Append(input value as System.Char extent):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as character):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as logical):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as character):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as System.Char extent):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as System.Char extent, input startIndex as integer, input charCount as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as int64):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as decimal):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as decimal):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as decimal):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as integer):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as int64):
   end method.

   method public final System.Text.StringBuilder Insert(input index as integer, input value as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input format as character, input arg0 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input format as character, input arg0 as System.Object, input arg1 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input format as character, input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input format as character, input args as System.Object extent):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object, input arg1 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input provider as System.IFormatProvider, input format as character, input arg0 as System.Object, input arg1 as System.Object, input arg2 as System.Object):
   end method.

   method public final System.Text.StringBuilder AppendFormat(input provider as System.IFormatProvider, input format as character, input args as System.Object extent):
   end method.

   method public final System.Text.StringBuilder Replace(input oldValue as character, input newValue as character):
   end method.

   method public final logical Equals(input sb as System.Text.StringBuilder):
   end method.

   method public final System.Text.StringBuilder Replace(input oldValue as character, input newValue as character, input startIndex as integer, input count as integer):
   end method.

   method public final System.Text.StringBuilder Replace(input oldChar as character, input newChar as character):
   end method.

   method public final System.Text.StringBuilder Replace(input oldChar as character, input newChar as character, input startIndex as integer, input count as integer):
   end method.

end class.
