class System.Windows.Forms.ContainerControl
   inherits System.Windows.Forms.ScrollableControl
   implements System.ComponentModel.IComponent, 
              System.ComponentModel.ISynchronizeInvoke, 
              System.IDisposable, 
              System.Windows.Forms.UnsafeNativeMethods.IOleControl, 
              System.Windows.Forms.UnsafeNativeMethods.IOleObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, 
              System.Windows.Forms.UnsafeNativeMethods.IOleWindow, 
              System.Windows.Forms.UnsafeNativeMethods.IViewObject, 
              System.Windows.Forms.UnsafeNativeMethods.IViewObject2, 
              System.Windows.Forms.UnsafeNativeMethods.IPersist, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, 
              System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, 
              System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, 
              System.Windows.Forms.ISupportOleDropSource, 
              System.Windows.Forms.IDropTarget, 
              System.Windows.Forms.IWin32Window, 
              System.Windows.Forms.Layout.IArrangedElement, 
              System.Windows.Forms.IBindableComponent, 
              System.Windows.Forms.IContainerControl:

   def public property AutoScaleDimensions as System.Drawing.SizeF
      get.
      set.

   def protected property AutoScaleFactor as System.Drawing.SizeF
      get.

   def public property AutoScaleMode as System.Windows.Forms.AutoScaleMode
      get.
      set.

   def public property AutoValidate as System.Windows.Forms.AutoValidate
      get.
      set.

   def public override property BindingContext as System.Windows.Forms.BindingContext
      get.
      set.

   def protected override property CanEnableIme as logical
      get.

   def public property ActiveControl as System.Windows.Forms.Control
      get.
      set.

   def protected override property CreateParams as System.Windows.Forms.CreateParams
      get.

   def public property CurrentAutoScaleDimensions as System.Drawing.SizeF
      get.

   def public property ParentForm as System.Windows.Forms.Form
      get.

   def public event AutoValidateChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ContainerControl():
   end constructor.

   method protected override void AdjustFormScrollbars(input displayScrollbars as logical):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected void OnAutoValidateChanged(input e as System.EventArgs):
   end method.

   method protected override void OnCreateControl():
   end method.

   method protected override void OnFontChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLayout(input e as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnParentChanged(input e as System.EventArgs):
   end method.

   method public final void PerformAutoScale():
   end method.

   method protected override logical ProcessDialogChar(input charCode as character):
   end method.

   method protected override logical ProcessDialogKey(input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override logical ProcessMnemonic(input charCode as character):
   end method.

   method protected logical ProcessTabKey(input forward as logical):
   end method.

   method protected override void Select(input directed as logical, input forward as logical):
   end method.

   method protected void UpdateDefaultButton():
   end method.

   method public final logical Validate():
   end method.

   method public final logical Validate(input checkAutoValidate as logical):
   end method.

   method public logical ValidateChildren():
   end method.

   method public logical ValidateChildren(input validationConstraints as System.Windows.Forms.ValidationConstraints):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

end class.
