class System.Windows.Forms.ControlBindingsCollection
   inherits System.Windows.Forms.BindingsCollection
   implements System.Collections.ICollection, System.Collections.IEnumerable:

   def public property BindableComponent as System.Windows.Forms.IBindableComponent
      get.

   def public property Control as System.Windows.Forms.Control
      get.

   def public property Item as System.Windows.Forms.Binding
      get.

   def public property DefaultDataSourceUpdateMode as System.Windows.Forms.DataSourceUpdateMode
      get.
      set.

   constructor public ControlBindingsCollection(input control as System.Windows.Forms.IBindableComponent):
   end constructor.

   method public final override void Add(input binding as System.Windows.Forms.Binding):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input updateMode as System.Windows.Forms.DataSourceUpdateMode):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input updateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input updateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object, input formatString as character):
   end method.

   method public final System.Windows.Forms.Binding Add(input propertyName as character, input dataSource as System.Object, input dataMember as character, input formattingEnabled as logical, input updateMode as System.Windows.Forms.DataSourceUpdateMode, input nullValue as System.Object, input formatString as character, input formatInfo as System.IFormatProvider):
   end method.

   method protected override void AddCore(input dataBinding as System.Windows.Forms.Binding):
   end method.

   method public final override void Clear():
   end method.

   method protected override void ClearCore():
   end method.

   method public final override void Remove(input binding as System.Windows.Forms.Binding):
   end method.

   method public final override void RemoveAt(input index as integer):
   end method.

   method protected override void RemoveCore(input dataBinding as System.Windows.Forms.Binding):
   end method.

end class.
