class System.Xml.XmlElement
   inherits System.Xml.XmlLinkedNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public override property Name as character
      get.

   def public property LocalName as character
      get.

   def public property NamespaceURI as character
      get.

   def public property Prefix as character
      get.
      set.

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public override property ParentNode as System.Xml.XmlNode
      get.

   def public property OwnerDocument as System.Xml.XmlDocument
      get.

   def public property IsEmpty as logical
      get.
      set.

   def public property Attributes as System.Xml.XmlAttributeCollection
      get.

   def public property HasAttributes as logical
      get.

   def public property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public property InnerXml as character
      get.
      set.

   def public property InnerText as character
      get.
      set.

   def public override property NextSibling as System.Xml.XmlNode
      get.

   constructor protected XmlElement(input prefix as character, input localName as character, input namespaceURI as character, input doc as System.Xml.XmlDocument):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public character GetAttribute(input name as character):
   end method.

   method public void SetAttribute(input name as character, input value as character):
   end method.

   method public void RemoveAttribute(input name as character):
   end method.

   method public System.Xml.XmlAttribute GetAttributeNode(input name as character):
   end method.

   method public System.Xml.XmlAttribute SetAttributeNode(input newAttr as System.Xml.XmlAttribute):
   end method.

   method public System.Xml.XmlAttribute RemoveAttributeNode(input oldAttr as System.Xml.XmlAttribute):
   end method.

   method public System.Xml.XmlNodeList GetElementsByTagName(input name as character):
   end method.

   method public character GetAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public character SetAttribute(input localName as character, input namespaceURI as character, input value as character):
   end method.

   method public void RemoveAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlAttribute GetAttributeNode(input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlAttribute SetAttributeNode(input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlAttribute RemoveAttributeNode(input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNodeList GetElementsByTagName(input localName as character, input namespaceURI as character):
   end method.

   method public logical HasAttribute(input name as character):
   end method.

   method public logical HasAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input w as System.Xml.XmlWriter):
   end method.

   method public System.Xml.XmlNode RemoveAttributeAt(input i as integer):
   end method.

   method public void RemoveAllAttributes():
   end method.

   method public override void RemoveAll():
   end method.

end class.
