class System.Xml.XmlNamespaceManager
   inherits System.Object
   implements System.Xml.IXmlNamespaceResolver, System.Collections.IEnumerable:

   def public property NameTable as System.Xml.XmlNameTable
      get.

   def public property DefaultNamespace as character
      get.

   constructor public XmlNamespaceManager(input nameTable as System.Xml.XmlNameTable):
   end constructor.

   method public void PushScope():
   end method.

   method public logical PopScope():
   end method.

   method public void AddNamespace(input prefix as character, input uri as character):
   end method.

   method public void RemoveNamespace(input prefix as character, input uri as character):
   end method.

   method public System.Collections.IEnumerator GetEnumerator():
   end method.

   method public System.Collections.Generic.IDictionary GetNamespacesInScope(input scope as System.Xml.XmlNamespaceScope):
   end method.

   method public character LookupNamespace(input prefix as character):
   end method.

   method public character LookupPrefix(input uri as character):
   end method.

   method public logical HasNamespace(input prefix as character):
   end method.

end class.
