interface OpenEdge.DataAdmin.IDataAdminCollection
inherits OpenEdge.DataAdmin.IDataAdminSerializable:

   method public INTEGER Deserialize (input h as HANDLE).
   
	method public INTEGER Deserialize (input h as HANDLE, input i as INTEGER).
 	
	method public void Export ().
 	
	method public void Export (input c as CHARACTER).
 	
	method public void ExportLastSaved (input c as CHARACTER).
	
	method public void ExportLastSavedTree (input c as CHARACTER).
	
	method public void ExportList ().
 	
	method public void ExportList (input c as CHARACTER).
 	
	method public void ExportTree (input c as CHARACTER).
 	
	method public void ExportTree (input c as CHARACTER, input p as CHARACTER).
 	
	method public void ExportTree (input c as CHARACTER, input p as OpenEdge.DataAdmin.Rest.IPageRequest).
   
	method public void Import (input c as CHARACTER).
	
	method public void ImportDelete (input c as CHARACTER).
	
	method public void ImportNew (input c as CHARACTER).
	
	method public void ImportNewTree (input c as CHARACTER).
	
	method public void ImportTree (input c as CHARACTER).
	
	// This method was not in the Progress documentation. However, customer code needed it
	method public OpenEdge.DataAdmin.Lang.Collections.IIterator Iterator ().
	
	method public OpenEdge.DataAdmin.Lang.Collections.IIterator Iterator (input c as CHARACTER).
	
	method public void Reset ().
	
	def public property ContextId as CHARACTER get. set.
	def public property HasChanges as logical get. set.
	def public property Services as OpenEdge.DataAdmin.IDataAdminService get. set. 	
	def public property SourceId as CHARACTER get. set. 
end.