class OpenEdge.Net.HTTP.HttpMessage
implements OpenEdge.Net.HTTP.IHttpMessage,
           OpenEdge.Core.ISupportInitialize,
           OpenEdge.Core.IAdaptable:
  define public property CharacterEncoding as character get. set.

  define public property ContentLength as integer get. set.

  define public property ContentMD5 as raw get. set.

  define public property ContentType as character get. set.

  define public property Cookies as OpenEdge.Core.Collections.IStringKeyedMap get. set.

  define public property Entity as Progress.Lang.Object get. set.

  define public property Headers as OpenEdge.Net.HTTP.HttpHeaderCollection get. set.

  define public property TransferEncoding as character get. set.

  define public property Version as character get. set.

  constructor public HttpMessage():
  end.

  method public void ClearCookies():
  end.

  method public void ClearHeaders():
  end.

  method public void Destroy():
  end.

  method public Progress.Lang.Object GetAdapter(p1 as Progress.Lang.Class):
  end.

  method public OpenEdge.Net.HTTP.Cookie GetCookie(p1 as character):
  end.

  method public integer GetCookies(p1 as OpenEdge.Net.HTTP.Cookie extent):
  end.

  method public OpenEdge.Net.HTTP.HttpHeader GetHeader(p1 as character):
  end.

  method public integer GetHeaders(p1 as OpenEdge.Net.HTTP.HttpHeader extent):
  end.

  method public logical HasCookie(p1 as character):
  end.

  method public logical HasCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.

  method public logical HasHeader(p1 as character):
  end.

  method public void Initialize():
  end.

  method public void RemoveCookie(p1 as character):
  end.

  method public void RemoveCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.

  method public void RemoveHeader(p1 as character):
  end.

  method public void SetCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.

  method public void SetHeader(p1 as OpenEdge.Net.HTTP.HttpHeader):
  end.

end.
