class OpenEdge.Web.WebHandler
implements Progress.Web.IWebHandler, 
           OpenEdge.Logging.ISupportLogging:

  define public property Logger as OpenEdge.Logging.ILogWriter get.

  constructor public WebHandler():
  end.

  method public integer HandleDelete(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleException(p1 as Progress.Lang.Error, p2 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleGet(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleHead(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleNotAllowedMethod(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleNotImplemented(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleOptions(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandlePatch(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandlePost(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandlePut(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public integer HandleRequest():
  end.

  method public integer HandleTrace(p1 as OpenEdge.Web.IWebRequest):
  end.

  method public void LogMessage(p1 as character, p2 as integer):
  end.

end.
