class ComponentFactory.Krypton.Workspace.WorkspaceMenus
   inherits ComponentFactory.Krypton.Workspace.WorkspacePageMenuBase:

   def public property IsDefault as logical
      get.

   def public property TextClose as character
      get.
      set.

   def public property TextCloseAllButThis as character
      get.
      set.

   def public property TextMoveNext as character
      get.
      set.

   def public property TextMovePrevious as character
      get.
      set.

   def public property TextSplitVertical as character
      get.
      set.

   def public property TextSplitHorizontal as character
      get.
      set.

   def public property TextRebalance as character
      get.
      set.

   def public property TextMaximize as character
      get.
      set.

   def public property TextRestore as character
      get.
      set.

   def public property ShortcutClose as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutCloseAllButThis as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutMoveNext as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutMovePrevious as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutSplitVertical as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutSplitHorizontal as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutRebalance as System.Windows.Forms.Keys
      get.
      set.

   def public property ShortcutMaximizeRestore as System.Windows.Forms.Keys
      get.
      set.

   def public property ShowContextMenu as logical
      get.
      set.

   constructor public WorkspaceMenus(input workspace as ComponentFactory.Krypton.Workspace.KryptonWorkspace):
   end constructor.

   method public final void ResetTextClose():
   end method.

   method public final void ResetTextCloseAllButThis():
   end method.

   method public final void ResetTextMoveNext():
   end method.

   method public final void ResetTextMovePrevious():
   end method.

   method public final void ResetTextSplitVertical():
   end method.

   method public final void ResetTextSplitHorizontal():
   end method.

   method public final void ResetTextRebalance():
   end method.

   method public final void ResetTextMaximize():
   end method.

   method public final void ResetTextRestore():
   end method.

   method protected final logical ShouldSerializeShortcutClose():
   end method.

   method public final void ResetShortcutClose():
   end method.

   method protected final logical ShouldSerializeShortcutCloseAllButThis():
   end method.

   method public final void ResetShortcutCloseAllButThis():
   end method.

   method protected final logical ShouldSerializeShortcutMoveNext():
   end method.

   method public final void ResetShortcutMoveNext():
   end method.

   method protected final logical ShouldSerializeShortcutMovePrevious():
   end method.

   method public final void ResetShortcutMovePrevious():
   end method.

   method protected final logical ShouldSerializeShortcutSplitVertical():
   end method.

   method public final void ResetShortcutSplitVertical():
   end method.

   method protected final logical ShouldSerializeShortcutSplitHorizontal():
   end method.

   method public final void ResetShortcutSplitHorizontal():
   end method.

   method protected final logical ShouldSerializeShortcutRebalance():
   end method.

   method public final void ResetShortcutRebalance():
   end method.

   method protected final logical ShouldSerializeShortcutMaximizeRestore():
   end method.

   method public final void ResetShortcutMaximizeRestore():
   end method.

end class.
