class Infragistics.UltraChart.Resources.Appearance.AxisLabelAppearanceBase
   inherits Infragistics.UltraChart.Resources.Appearance.AppearanceHelper
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable, Infragistics.UltraChart.Resources.Appearance.ITextOrientation, Infragistics.UltraChart.Resources.Appearance.ITextAlignment, System.IDisposable
   abstract:

   def protected property AxisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber
      get.
      set.

   def protected property AxisFormatSource as Infragistics.UltraChart.Resources.Appearance.ChartAxisFormatSource
      get.
      set.

   def public property OrientationAngle as integer
      get.
      set.

   def public property Flip as logical
      get.
      set.

   def public property LabelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.

   def public property Visible as logical
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property WrapText as logical
      get.
      set.

   def public property HorizontalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property VerticalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property ClipText as logical
      get.
      set.

   def public property Orientation as Infragistics.UltraChart.Shared.Styles.TextOrientation
      get.
      set.

   def public property FontSizeBestFit as logical
      get.
      set.

   def public property ReverseText as logical
      get.
      set.

   def public property Layout as Infragistics.UltraChart.Resources.Appearance.AxisLabelLayoutAppearance
      get.

   constructor protected AxisLabelAppearanceBase():
   end constructor.

   method public final void Dispose():
   end method.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeFont():
   end method.

   method public final void ResetFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeWrapText():
   end method.

   method public final void ResetWrapText():
   end method.

   method protected final logical ShouldSerializeHorizontalAlign():
   end method.

   method public final void ResetHorizontalAlign():
   end method.

   method protected final logical ShouldSerializeVerticalAlign():
   end method.

   method public final void ResetVerticalAlign():
   end method.

   method protected final logical ShouldSerializeClipText():
   end method.

   method public final void ResetClipText():
   end method.

   method protected abstract logical ShouldSerializeOrientation().

   method public abstract void ResetOrientation().

   method protected final logical ShouldSerializeFontSizeBestFit():
   end method.

   method public final void ResetFontSizeBestFit():
   end method.

   method protected logical ShouldSerializeReverseText():
   end method.

   method public void ResetReverseText():
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

   method public override System.Object Clone():
   end method.

   method protected logical ShouldSerializeLayout():
   end method.

   method public void ResetLayout():
   end method.

   method protected void SetLayout(input value as Infragistics.UltraChart.Resources.Appearance.AxisLabelLayoutAppearance):
   end method.

   method public override void SetComponent(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

end class.
