class Infragistics.UltraChart.Resources.Appearance.IconAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable:

   def public property Icon as Infragistics.UltraChart.Shared.Styles.SymbolIcon
      get.
      set.

   def public property IconSize as Infragistics.UltraChart.Shared.Styles.SymbolIconSize
      get.
      set.

   def public property Character as character
      get.
      set.

   def public property CharacterFont as System.Drawing.Font
      get.
      set.

   def public property PE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   constructor public IconAppearance():
   end constructor.

   constructor public IconAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected logical ShouldSerializeIcon():
   end method.

   method public void ResetIcon():
   end method.

   method protected logical ShouldSerializeIconSize():
   end method.

   method public void ResetIconSize():
   end method.

   method protected logical ShouldSerializeCharacter():
   end method.

   method public void ResetCharacter():
   end method.

   method protected logical ShouldSerializeCharacterFont():
   end method.

   method public void ResetCharacterFont():
   end method.

   method protected logical ShouldSerializePE():
   end method.

   method public void ResetPE():
   end method.

   method public logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

   method public override Infragistics.UltraChart.Resources.Appearance.IconAppearance Clone():
   end method.

end class.
