interface Infragistics.UltraChart.Resources.IChartComponent:

   def public property ChartType as Infragistics.UltraChart.Shared.Styles.ChartType
      get.

   def public property Override as Infragistics.UltraChart.Resources.Appearance.OverrideAppearance
      get.

   def public property UserLayerIndex as System.String extent
      get.
      set.

   def public property Site as System.ComponentModel.ISite
      get.

   def public property DataBindMe as logical
      get.
      set.

   def public property Series as Infragistics.UltraChart.Data.Series.SeriesCollection
      get.

   def public property RenderingType as Infragistics.UltraChart.Shared.Styles.RenderingType
      get.

   def public property SmoothingMode as System.Drawing.Drawing2D.SmoothingMode
      get.
      set.

   def public property IsSavingPreset as logical
      get.

   def public property TextRenderingHint as System.Drawing.Text.TextRenderingHint
      get.
      set.

   method public void ResizeAll().

   method public void Invalidate(input cacheLevel as Infragistics.UltraChart.Shared.Styles.CacheLevel).

   method public Infragistics.UltraChart.Shared.Events.ChartDataEventArgs GetChartInfoFromPoint(input point as System.Drawing.Point).

   method public Infragistics.UltraChart.Resources.Appearance.ChartAppearance GetChartAppearance(input appearanceType as Infragistics.UltraChart.Resources.Appearance.ChartAppearanceTypes).

   method public void OnAppearanceChanged().

   method public logical IsDesignMode().

   method public void ResetDemoData().

   method public System.Object GetProperty(input propName as character).

   method public System.Object SetProperty(input propName as character, input newValue as System.Object).

   method public void DataValidity(input validity as logical, input info as character).

   method public void DataValidity(input validity as logical, input invalidArgs as Infragistics.UltraChart.Shared.Events.ChartDataInvalidEventArgs).

   method public System.Object GetComponentInfo().

   method public void Subscribe(input evtName as character, input handler as System.EventHandler).

   method public void OnFillSceneGraph(input e as Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs).

   method public void OnInterpolateValues(input e as Infragistics.UltraChart.Shared.Events.InterpolateValuesEventArgs).

   method public void OnUpdated().

end interface.
