class System.IO.BinaryReader
   inherits System.Object
   implements System.IDisposable:

   def public property BaseStream as System.IO.Stream
      get.

   constructor public BinaryReader(input input as System.IO.Stream):
   end constructor.

   constructor public BinaryReader(input input as System.IO.Stream, input encoding as System.Text.Encoding):
   end constructor.

   constructor public BinaryReader(input input as System.IO.Stream, input encoding as System.Text.Encoding, input leaveOpen as logical):
   end constructor.

   method public void Close():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final void Dispose():
   end method.

   method public integer PeekChar():
   end method.

   method public integer Read():
   end method.

   method public logical ReadBoolean():
   end method.

   method public integer ReadByte():
   end method.

   method public integer ReadSByte():
   end method.

   method public character ReadChar():
   end method.

   method public integer ReadInt16():
   end method.

   method public integer ReadUInt16():
   end method.

   method public integer ReadInt32():
   end method.

   method public integer ReadUInt32():
   end method.

   method public int64 ReadInt64():
   end method.

   method public int64 ReadUInt64():
   end method.

   method public decimal ReadSingle():
   end method.

   method public decimal ReadDouble():
   end method.

   method public decimal ReadDecimal():
   end method.

   method public character ReadString():
   end method.

   method public integer Read(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public System.Char extent ReadChars(input count as integer):
   end method.

   method public integer Read(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Byte extent ReadBytes(input count as integer):
   end method.

   method protected void FillBuffer(input numBytes as integer):
   end method.

   method protected final integer Read7BitEncodedInt():
   end method.

end class.
