class System.Net.NetworkCredential
   inherits System.Object
   implements System.Net.ICredentials, System.Net.ICredentialsByHost:

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property SecurePassword as System.Security.SecureString
      get.
      set.

   def public property Domain as character
      get.
      set.

   constructor public NetworkCredential():
   end constructor.

   constructor public NetworkCredential(input userName as character, input password as character):
   end constructor.

   constructor public NetworkCredential(input userName as character, input password as System.Security.SecureString):
   end constructor.

   constructor public NetworkCredential(input userName as character, input password as character, input domain as character):
   end constructor.

   constructor public NetworkCredential(input userName as character, input password as System.Security.SecureString, input domain as character):
   end constructor.

   method public final System.Net.NetworkCredential GetCredential(input uri as System.Uri, input authType as character):
   end method.

   method public final System.Net.NetworkCredential GetCredential(input host as character, input port as integer, input authenticationType as character):
   end method.

end class.
