class System.ServiceModel.Channels.MessageEncoder
   inherits System.Object
   abstract:

   def public abstract property ContentType as character
      get.

   def public abstract property MediaType as character
      get.

   def public abstract property MessageVersion as System.ServiceModel.Channels.MessageVersion
      get.

   constructor protected MessageEncoder():
   end constructor.

   method public final System.ServiceModel.Channels.Message ReadMessage(input stream as System.IO.Stream, input maxSizeOfHeaders as integer):
   end method.

   method public abstract System.ServiceModel.Channels.Message ReadMessage(input stream as System.IO.Stream, input maxSizeOfHeaders as integer, input contentType as character).

   method public final System.ServiceModel.Channels.Message ReadMessage(input buffer as System.ArraySegment, input bufferManager as System.ServiceModel.Channels.BufferManager):
   end method.

   method public abstract System.ServiceModel.Channels.Message ReadMessage(input buffer as System.ArraySegment, input bufferManager as System.ServiceModel.Channels.BufferManager, input contentType as character).

   method public override character ToString():
   end method.

   method public abstract void WriteMessage(input message as System.ServiceModel.Channels.Message, input stream as System.IO.Stream).

   method public System.IAsyncResult BeginWriteMessage(input message as System.ServiceModel.Channels.Message, input stream as System.IO.Stream, input callback as System.AsyncCallback, input state as System.Object):
   end method.

   method public void EndWriteMessage(input result as System.IAsyncResult):
   end method.

   method public final System.ArraySegment WriteMessage(input message as System.ServiceModel.Channels.Message, input maxMessageSize as integer, input bufferManager as System.ServiceModel.Channels.BufferManager):
   end method.

   method public abstract System.ArraySegment WriteMessage(input message as System.ServiceModel.Channels.Message, input maxMessageSize as integer, input bufferManager as System.ServiceModel.Channels.BufferManager, input messageOffset as integer).

   method public logical IsContentTypeSupported(input contentType as character):
   end method.

end class.
