class System.Windows.Forms.DrawItemEventArgs
   inherits System.EventArgs:

   def public property BackColor as System.Drawing.Color
      get.

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property Font as System.Drawing.Font
      get.

   def public property ForeColor as System.Drawing.Color
      get.

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property Index as integer
      get.

   def public property State as System.Windows.Forms.DrawItemState
      get.

   constructor public DrawItemEventArgs(input graphics as System.Drawing.Graphics, input font as System.Drawing.Font, input rect as System.Drawing.Rectangle, input index as integer, input state as System.Windows.Forms.DrawItemState):
   end constructor.

   constructor public DrawItemEventArgs(input graphics as System.Drawing.Graphics, input font as System.Drawing.Font, input rect as System.Drawing.Rectangle, input index as integer, input state as System.Windows.Forms.DrawItemState, input foreColor as System.Drawing.Color, input backColor as System.Drawing.Color):
   end constructor.

   method public void DrawBackground():
   end method.

   method public void DrawFocusRectangle():
   end method.

end class.
