interface OpenEdge.DataAdmin.Binding.IDataTree:

	method public void AddRowListener (input o as OpenEdge.DataAdmin.Binding.IJsonRowListener).
 	
	method public Progress.Lang.Object GetFieldHandler (input a as character).
 	
	method public Progress.Json.ObjectModel.JsonObject GetJSON ().
 	
	method public Progress.Json.ObjectModel.JsonObject GetJSON (input o as OpenEdge.DataAdmin.Rest.IPageRequest).
 	
	method public handle GetWriteHandle ().
 	
	method public void SetFieldHandler (input a as character, input o as Progress.Lang.Object ).

	define public property IncludeRoot as logical get. set. 	
	define public property NoTopArray as logical get. set. 	
	define public property Success as logical get. set. 	
	define public property TopTable as character get. set. 	
	define public property Total as int64 get. set. 
	define public property UseDataset as logical get. set. 	
	define public property Write as logical get. set. 	
	define public property WriteCode as logical get. set. 

end interface.